package github.benjamin.equipreservebackend.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import github.benjamin.equipreservebackend.dto.UserDTO;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@TableName("users")
@NoArgsConstructor
public class User {

    private Long id;
    private String username;
    private String password;
    private String name;
    private String phone;
    private Long teamId;
    private Boolean enabled;
    private LocalDateTime createdTime;
    private LocalDateTime updatedTime;

    public User(UserDTO dto) {
        this.username = dto.getUsername();
        this.password = dto.getPassword();
        this.name = dto.getName();
        this.phone = dto.getPhone();
        this.teamId = dto.getTeamId();
    }

}
